{
    attributes = (
        {
            columnName = "GCOL_DATE_DEBUT"; 
            externalType = NUMBER; 
            name = gcolDateDebut; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "GCOL_DATE_FIN"; 
            externalType = NUMBER; 
            name = gcolDateFin; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "GCOL_KEY"; 
            externalType = NUMBER; 
            name = gcolKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "GCOL_LIBELLE"; 
            externalType = VARCHAR2; 
            name = gcolLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }
    ); 
    attributesUsedForLocking = (gcolDateDebut, gcolDateFin, gcolKey, gcolLibelle); 
    className = "org.cocktail.scolaritefwk.serveur.metier.eos.EOScolGroupeCollection"; 
    classProperties = (gcolDateDebut, gcolDateFin, gcolLibelle, "toFwkScolarite_ScolGroupeGrps"); 
    externalName = "SCOLARITE.SCOL_GROUPE_COLLECTION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolaritefwk.client.metier.eos.EOScolGroupeCollection"; 
    }; 
    name = "FwkScolarite_ScolGroupeCollection"; 
    primaryKeyAttributes = (gcolKey); 
    relationships = (
        {
            destination = "FwkScolarite_ScolGroupeGrp"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = gcolKey; sourceAttribute = gcolKey; }); 
            name = "toFwkScolarite_ScolGroupeGrps"; 
        }
    ); 
}
